#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

struct Number{
  vector<int> numeral;

  bool operator ==(const Number& a) const{
    if(numeral.size() == a.numeral.size()){
      vector<int>::const_iterator it, ita;
      for(it = numeral.begin(), ita = a.numeral.begin(); it != numeral.end(); it++, ita++){
        if(*it != *ita){
          return false;
        }
      }
      return true;
    }else{
      return false;
    }
  }
  
  bool operator <(const Number& a) const{
    if(numeral.size() == a.numeral.size()){
      vector<int>::const_reverse_iterator it, ita;
      for(it = numeral.rbegin(), ita = a.numeral.rbegin(); it != numeral.rend(); it++, ita++){
        if(*it != *ita){
          return *it < *ita;
        }
      }
      return false;
    }else{
      return numeral.size() < a.numeral.size();
    }
  }

  Number operator +(const Number& a) const{
    Number result;
      vector<int>::const_iterator it, ita;
      for(it = numeral.begin(), ita = a.numeral.begin(); it != numeral.end() || ita != a.numeral.end(); it++, ita++){
        int tmpa, tmpb;
        if(it != numeral.end()){
          tmpa = *it;
        }else{
          tmpa = 0; it--;
        }
        if(ita != a.numeral.end()){
          tmpb = *ita;
        }else{
          tmpb = 0; ita--;
        }
        int tmp = tmpa + tmpb;
        if(tmp > 9){
          result.numeral.push_back(tmp % 10);
          tmp /= 10;
        }
        result.numeral.push_back(tmp);
      }
    return result;
  }

  friend istream& Number::operator >> (istream& in, Number& a){
    int tmp;
    in >> tmp;
    while(tmp){
      a.numeral.push_back(tmp % 10);
      tmp /= 10;
    }
    return in;
  }

  friend ostream& Number::operator << (ostream& out, const Number& a){
    for(vector<int>::const_reverse_iterator it = a.numeral.rbegin(); it != a.numeral.rend(); it++){
      out << *it;
    }
    return out;
  }
} a, b, c, s[3];

int main(){
  freopen("input.txt", "r", stdin);
  freopen("output.txt", "w", stdout);
  cin >> a >> b >> c;
  s[0] = (a + b) + c;
  s[1] = (b + c) + a;
  s[2] = (c + a) + b;
  sort(s, s+3);
  if(s[0] == s[2]){
    cout << "NO" << endl;
  }else{
    cout << "YES" << endl;
  }
  cout << s[0] << endl;
  for(int i = 1; i < 3; i++){
    if(!(s[i-1] == s[i])) cout << s[i] << endl;
  }
  fclose(stdin);
  fclose(stdout);
  return 0;
}